﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using SmartCardClient.Views;
using SmartCardClient.ViewModels;

namespace SmartCardClient
{
	/// <summary>
	/// Interaction logic for App.xaml
	/// </summary>
	public partial class App : Application
	{
		private void Application_Startup(object sender, StartupEventArgs e)
		{
			var mainView = new MainView();
			var mainViewModel = new MainViewModel(mainView.Close);
			mainView.DataContext = mainViewModel;

			ShutdownMode = System.Windows.ShutdownMode.OnLastWindowClose;
			mainView.Show();
		}
	}
}
