﻿using System;

namespace SmartCard.Framework
{
	/// <summary>
	/// protocols for smart card connections
	/// </summary>
	[Flags]
	public enum eCardConnectionProtocol
	{
		/// <summary>
		/// T0 protocol
		/// </summary>
		T0 = 0x01,

		/// <summary>
		/// T1 protocol
		/// </summary>
		T1 = 0x02,

		/// <summary>
		/// Default connection mode for the specified card reader type
		/// </summary>
		Default
	}
}
