﻿using SmartCard.PcscApi;

namespace SmartCard.PcscApi
{
	internal class PcscConnectionContext
	{
		#region properties

		public uint ConnectionHandle
		{ get; private set; }

		public ePcscProtocol ConnectionProtocol
		{ get; private set; }

		#endregion

		#region construction

		public PcscConnectionContext(
			uint connectionHandle, ePcscProtocol connectionProtocol)
		{
			ConnectionHandle = connectionHandle;
			ConnectionProtocol = connectionProtocol;
		}

		#endregion
	}
}
