﻿using System;
using System.Globalization;
using SmartCard.Framework;

namespace SmartCard.PcscApi
{
	[Serializable]
	internal class PcscException : SmartCardException
	{
		public ePcscErrors PcscError
		{ get; private set; }

		public PcscException(string message, ePcscErrors pcscError)
			: base(string.Format("{0}-{1}", message, pcscError))
		{
			PcscError = pcscError;
		}

		public override string ToString()
		{
			return this.Message;
		}
	}
}
