﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartCardClient.ViewModels.Features
{
	internal class FeatureViewModel : ViewModel
	{
		public FeatureViewModel(string featureName)
		{
			if (featureName == null)
			{ throw new ArgumentNullException("featureName"); }

			FeatureName = featureName;
		}

		public string FeatureName
		{ get; private set; }
	}
}
