﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartCard.Framework.ApiPlugins.FileSystem
{
	internal class FileSystemReaderDiscovery : ISmartCardReaderDiscovery
	{
		public IEnumerable<ISmartCardReader> Discover()
		{
			return new List<ISmartCardReader>
			{
				new FileSystemReader("Contact FS Reader", eReaderType.Contact)
			};
		}
	}
}
