﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartCard.Framework.CardFeatures
{
	public class RawCommandFeature : ICardFeature
	{
		#region construction

		public RawCommandFeature()
		{ }

		#endregion

		/// <summary>
		/// Execute the raw apdu command
		/// </summary>
		/// <param name="command"></param>
		public ApduResponse ExecuteRaw(ApduCommand command)
		{
			return Card.Send(command);
		}

		public bool IsSupported()
		{
			// always supported
			return true;
		}

		public ICard Card
		{ get; set; }
	}
}
