﻿using System;

namespace SmartCard.Framework
{
	public class CardInsertedEventArgs : EventArgs
	{
		#region construction

		public CardInsertedEventArgs(ICard card)
		{
			if (card == null)
			{ throw new ArgumentNullException("card"); }

			Card = card;
		}

		#endregion

		#region properties

		public ICard Card
		{ get; private set; }

		#endregion
	}
}