﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartCard.Framework
{
	public interface IFeatureCollection : IEnumerable<ICardFeature>
	{
		/// <summary>
		/// return null if the feature is not supported by this card
		/// </summary>
		ICardFeature this[Type key]
		{
			get;
		}
	}
}
