﻿
namespace SmartCard.Framework
{
	public enum eSmartCardReaderState
	{
		/// <summary>
		/// The card presence can not be determined
		/// </summary>
		Unknown,

		/// <summary>
		/// No card is present in the reader
		/// </summary>
		NoCardPresent,

		/// <summary>
		/// A card is present in the reader
		/// </summary>
		CardPresent
	}
}
