﻿using System;
using SmartCard.Framework;

namespace SmartCard.GSM_11_11
{
	/// <summary>
	/// 
	/// </summary>
	public class IccIdentification
	{
		#region properties

		public byte[] Raw
		{ get; private set; }

		public string IdentificationNumber
		{ get; private set; }

		#endregion

		public IccIdentification(byte[] raw)
		{
			if (raw == null)
			{ throw new ArgumentNullException("raw"); }

			Raw = raw;
		}
	}
}
